default:
	make runcoff.exe
	make test_program.obj
	make link.exe

all:
	make clean	
	make runcoff.exe
	make test_program.obj
	make link.exe

runcoff.exe:runcoff.obj
	cl runcoff.obj /Feruncoff.exe

runcoff.obj:runcoff.c
	cl /c runcoff.c

test_program.obj:test_program.asm
	nasm -f coff test_program.asm -o test_program.obj

test:test_program.obj runcoff.exe
	runcoff test_program.obj

link.exe:link.obj
	cl link.obj

link.obj:link.cpp
	cl /c link.cpp

clean:
	del /Q *.obj
	del /Q runcoff.exe
	del /Q link.exe
